/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class MainBossLaiXiCtrl : UIController<MainBossLaiXiVM>
    {
        //private ITimer _closeTimer;
        protected override void OnEnable(object intent)
        {
            AddUIListenres();
            //AutoClose();
        }
        protected override void OnDisable()
        {
            RemoveUIListenres();
            //_closeTimer?.Cancel();
            //_closeTimer = null;
        }
        #region UI事件
        private void AddUIListenres()
        {

        }
        private void RemoveUIListenres()
        {

        }

        #endregion

        //private void AutoClose()
        //{
        //    _closeTimer = Context.Time.AddDelayTimer(1000, () =>
        //    {
        //        _closeTimer = null;
        //        Context.UI.Close(UIKeys.MainBossLaiXi);
        //    });
        //}
    }
}